<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP5: Référence de la classe Pile</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP5
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classPile-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Pile</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a468feb765bb09268d72b044fe1092f4a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#a468feb765bb09268d72b044fe1092f4a">__construct</a> (string $nomFichier=&quot;&quot;)</td></tr>
<tr class="separator:a468feb765bb09268d72b044fe1092f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdec04827a6427f8741612b3afcfa3e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#acdec04827a6427f8741612b3afcfa3e9">getCardsNumber</a> ()</td></tr>
<tr class="separator:acdec04827a6427f8741612b3afcfa3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ad4c1e439d1596168812c1c49490ea8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#a6ad4c1e439d1596168812c1c49490ea8">getCard</a> (int $i)</td></tr>
<tr class="separator:a6ad4c1e439d1596168812c1c49490ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebfde0e5c97c1fa95d551e5d1e5f2d88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#aebfde0e5c97c1fa95d551e5d1e5f2d88">addCard</a> (<a class="el" href="classCarte.html">Carte</a> $carte)</td></tr>
<tr class="separator:aebfde0e5c97c1fa95d551e5d1e5f2d88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6775d147598f9c5390315e1c8c084761"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#a6775d147598f9c5390315e1c8c084761">popCard</a> ()</td></tr>
<tr class="separator:a6775d147598f9c5390315e1c8c084761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af39f27e11169d0a4753a0be6b2fc6cba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#af39f27e11169d0a4753a0be6b2fc6cba">showLast</a> ()</td></tr>
<tr class="separator:af39f27e11169d0a4753a0be6b2fc6cba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeec4e290df7ae2bc43a77754feace0e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#aeec4e290df7ae2bc43a77754feace0e9">drawCard</a> ()</td></tr>
<tr class="separator:aeec4e290df7ae2bc43a77754feace0e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a420fe95354d036a15026e8c941e4a641"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#a420fe95354d036a15026e8c941e4a641">addPile</a> (<a class="el" href="classPile.html">Pile</a> $tas)</td></tr>
<tr class="separator:a420fe95354d036a15026e8c941e4a641"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb5b2e82e28ba2620b8317957b5017f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPile.html#afb5b2e82e28ba2620b8317957b5017f9">__toString</a> ()</td></tr>
<tr class="separator:afb5b2e82e28ba2620b8317957b5017f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a468feb765bb09268d72b044fe1092f4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a468feb765bb09268d72b044fe1092f4a">&#9670;&nbsp;</a></span>__construct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::__construct </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>$nomFichier</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructeur permettant de charger un jeu de cartes à partir d’un fichier dont le nom est passé en paramètre. Si le nom n’est pas précisé à l’appel le tas initialisé sera vide. Dans le cas contraire, les cartes décrites dans le fichier sont stockées dans le tas.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$nomFichier</td><td>Nom du fichier à partir duquel on veut charger un jeu de cartes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="afb5b2e82e28ba2620b8317957b5017f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb5b2e82e28ba2620b8317957b5017f9">&#9670;&nbsp;</a></span>__toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::__toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'afficher toutes les cartes d'une pile sous la forme d'une chaîne de caractères. Retourne la chaîne de caractères représentant le contenu de la pile.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Chaîne de caractères représentant le contenu de la pile. </dd></dl>

</div>
</div>
<a id="aebfde0e5c97c1fa95d551e5d1e5f2d88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebfde0e5c97c1fa95d551e5d1e5f2d88">&#9670;&nbsp;</a></span>addCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::addCard </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCarte.html">Carte</a>&#160;</td>
          <td class="paramname"><em>$carte</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode ne retournant rien et permettant d'ajouter une carte passée en paramètre à la fin du paquet.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$carte</td><td><a class="el" href="classCarte.html">Carte</a> que l'on veut ajouter à la fin du paquet. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a420fe95354d036a15026e8c941e4a641"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a420fe95354d036a15026e8c941e4a641">&#9670;&nbsp;</a></span>addPile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::addPile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPile.html">Pile</a>&#160;</td>
          <td class="paramname"><em>$tas</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'ajouter un tas de cartes (passé en paramètre) à un autre tas de carte auquel on applique cette méthode. Cette méthode ne retourne rien.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$tas</td><td>Tas de carte que l'on désire ajouter à la fin du tas de cartes sur lequel on applique cette méthode. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aeec4e290df7ae2bc43a77754feace0e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeec4e290df7ae2bc43a77754feace0e9">&#9670;&nbsp;</a></span>drawCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::drawCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de retirer aléatoirement une carte du tas. Retourne la carte retirée si le paquet n'est pas vide. Si le paquet ne contient aucune carte, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si le paquet de cartes est vide. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Retourne une carte tirée aléatoirement. </dd></dl>

</div>
</div>
<a id="a6ad4c1e439d1596168812c1c49490ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ad4c1e439d1596168812c1c49490ea8">&#9670;&nbsp;</a></span>getCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::getCard </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>$i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'accéder à la carte correspondant à l'indice passé en paramètre. Retourne la carte correspondant à l'indice passé en paramètre. Si l'indice $index passé en argument se situe en dehors du tableau, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$i</td><td>Indice de la carte dans le paquet. </td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si l'indice $index est situé en dehors du tableau. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acdec04827a6427f8741612b3afcfa3e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdec04827a6427f8741612b3afcfa3e9">&#9670;&nbsp;</a></span>getCardsNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::getCardsNumber </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de connaître le nombre de cartes dont est constitué un paquet. Retourne ce nombre de carte sous la forme d'un nombre entier.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Retourne le nombre de carte dont est constitué un paquet (sous la forme d'un entier). </dd></dl>

</div>
</div>
<a id="a6775d147598f9c5390315e1c8c084761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6775d147598f9c5390315e1c8c084761">&#9670;&nbsp;</a></span>popCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::popCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de retirer la première carte du paquet. Retourne la carte enlevée si le paquet contient des cartes. Si le paquet ne contient aucune carte, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si le paquet est vide. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Retourne la carte enlevée du paquet. </dd></dl>

</div>
</div>
<a id="af39f27e11169d0a4753a0be6b2fc6cba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af39f27e11169d0a4753a0be6b2fc6cba">&#9670;&nbsp;</a></span>showLast()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Pile::showLast </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de consulter la dernière carte du paquet. Retourne la dernière carte du paquet si celui-ci n'est pas vide. Si le paquet ne contient aucune carte, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si le paquet est vide. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Retourne la dernière carte du paquet. </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>Pile.class.php</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
